According to a recent tweet by @comex, Apple has not patched @i0n1c‘s famous exploit (which was used to jailbreak both iOS 4.3.1 and iOS 4.3.2) in the latest version of the iOS – meaning the very same exploit will be able to jailbreak iOS devices running iOS 4.3.3.

Here’s the tweet:

.@i0n1c’s bug is not patched in 4.3.3.#whatisthisidonteven

This means that jailbreak fans will be able to “liberate” their iOS device once the iPhone Dev-Team updates redsn0w or PwnageTool accordingly. Both jailbreak tools will use @i0n1c’s exploit.

Obviously, if you’re planning on jailbreaking your iOS device under iOS 4.3.3, you should wait for one of the above jailbreak tools to be updated. We do not recommend attempting to jailbreak with the current versions of redsn0w and PwnageTool.

Furthermore, iPad 2 owners should be aware that their device is not supported by the exploit (due to the dual core A5 processor). However, worry not: Two jailbreak masterminds are currently working on the iPad 2 jailbreak.

If you have any questions, feel free to post them in the comments.

[via Cult of Mac]